Bug 1477222 - (CVE-2017-12425) CVE-2017-12425 varnish: Missing check for integer overflow when handling chunk sizes in HTTP requests
CVE-2017-12425 varnish: Missing check for integer overflow when handling chun...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170802,repor...
: Security
Depends On: 1476784 1477698 1477699
Blocks: 1477246
  Show dependency treegraph
 
Reported: 2017-08-01 09:50 EDT by Adam Mariš
Modified: 2017-08-08 01:20 EDT (History)
7 users (show)

See Also:
Fixed In Version: varnish 4.0.5, varnish 4.1.8, varnish 5.1.3
Doc Type: If docs needed, set a value
Doc Text:
An integer overflow flaw, leading to assertion failure, was found in the way Varnish handled chunk sizes in HTTP requests. A remote attacker could use this flaw to make the Varnish daemon restart unexpectedly due to an assertion failure by sending a specially crafted HTTP request.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 01:20:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
varnish 4.0 patch (3.05 KB, patch)
2017-08-01 10:41 EDT, Adam Mariš
no flags Details | Diff
varnish 4.1 patch (2.79 KB, patch)
2017-08-01 10:42 EDT, Adam Mariš
no flags Details | Diff
varnish 5.0 patch (3.09 KB, patch)
2017-08-01 10:42 EDT, Adam Mariš
no flags Details | Diff
varnish 5.1 patch (2.20 KB, patch)
2017-08-01 10:43 EDT, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2017-08-01 09:50:47 EDT
Missing check for integer overflow was found in the code handling chunk sizes in HTTP requests. The vulnerability opens up for denial of service (DOS) attacks by a specially crafted HTTP request, which will cause the Varnish daemon to assert and restart, clearing the cache in the process. There is no risk for information leakage or remote execution. The vulnerability is present in all releases of Varnish Cache since version 4.0.1.
Comment 1 Adam Mariš 2017-08-01 09:50:51 EDT
Acknowledgments:

Name: the Varnish Cache project
Comment 2 Adam Mariš 2017-08-01 10:41 EDT
Created attachment 1307655 [details]
varnish 4.0 patch
Comment 3 Adam Mariš 2017-08-01 10:42 EDT
Created attachment 1307656 [details]
varnish 4.1 patch
Comment 4 Adam Mariš 2017-08-01 10:42 EDT
Created attachment 1307657 [details]
varnish 5.0 patch
Comment 5 Adam Mariš 2017-08-01 10:43 EDT
Created attachment 1307658 [details]
varnish 5.1 patch
Comment 9 Adam Mariš 2017-08-02 12:12:01 EDT
External References:

https://www.varnish-cache.org/security/VSV00001.html
Comment 10 Adam Mariš 2017-08-02 12:12:27 EDT
Created varnish tracking bugs for this issue:

Affects: epel-all [bug 1477699]
Affects: fedora-all [bug 1477698]

Note You need to log in before you can comment on or make changes to this bug.